local E, L, V, P, G, _ = unpack(ElvUI); --Inport: Engine, Locales, PrivateDB, ProfileDB, GlobalDB, Localize Underscore
local M = E:GetModule('Minimap')
local cluster = _G['MinimapCluster']

local digits ={
	[0] = { .5, '%.0f' },
	[1] = { .2, '%.1f' },
	[2] = { .1, '%.2f' },
}

local oUFs = { [1] = "ElvUF_Player", [2] = "ElvUI_Bar5", [3] = "ElvUF_Pet", [4] = "ElvUF_Focus", }
 
local function FadeIn()
        for i = 1, 4 do
                UIFrameFadeIn(_G[oUFs[i]], 0.075, _G[oUFs[i]]:GetAlpha(), 1) -- 0.075 is the fade time; _G[oUFs[i]]:GetAlpha(), 1 is starting alpha and end alpha
        end
end
 
local function FadeOut()
        for i = 1, 4 do
                UIFrameFadeOut(_G[oUFs[i]], 0.5, _G[oUFs[i]]:GetAlpha(), 0.2) -- 0.5 is the fade time; _G[oUFs[i]]:GetAlpha(), 0.1 is starting alpha and end alpha
        end
end
 
local function uffade(self, event)
        if event == "PLAYER_REGEN_DISABLED" then
                FadeIn()
        elseif event == "PLAYER_REGEN_ENABLED" or event == "PLAYER_ENTERING_WORLD" then
                FadeOut()
        elseif event == "PLAYER_TARGET_CHANGED" then
                if UnitExists("target") then
                        FadeIn()
                else
                        if not InCombatLockdown() then
                                FadeOut()
                        end
                end
        end
end
 
local oocfade = CreateFrame("Frame")
oocfade:RegisterEvent("PLAYER_ENTERING_WORLD")
oocfade:RegisterEvent("PLAYER_REGEN_ENABLED")
oocfade:RegisterEvent("PLAYER_REGEN_DISABLED")
oocfade:RegisterEvent("PLAYER_TARGET_CHANGED")
oocfade:SetScript("OnEvent", uffade)

ElvUF_Player.Castbar:SetParent(UIParent)
